.386p

Code32 Segment Para Public Use32 'Code'
Assume CS:Code32, DS:Code32, ES:Code32

public _WorldData5, _WorldData5_size, Lights_scene5

WORLD5_OBJS     EQU 1
WORLD5_VERTICES EQU 128
WORLD5_FACES    EQU 256

; ***************************************************************************
; najpierw ogolny opis scenki (uzywany potem bez zmian w engine'ie)
; ***************************************************************************
_WorldData5:
        dw WORLD5_OBJS                  ; ilosc obiektow
        dd 0.0, 0.0, 0.0                ; pozycja kamery (!float!)
        dd 0.0, 0.0, 0.1                ; cel kamery     (!float!)
        dd (3 + 1 + 16 + 1) dup (0)     ; dane wewnetrzne

; ***************************************************************************
; teraz ogolne opisy poszczegolnych obiektow
; ***************************************************************************
        ; opis obiektu nr 0
        dd 0.000, 0.000, 0.000          ; pozycja obiektu (!float!)
        dw 128, 256                       ; ilosc punktow i scian


; ***************************************************************************
; teraz opisy punktow i scian poszczegolnych obiektow
; ***************************************************************************
        ; punkty obiektu nr 0 (!float!)
        dd 14.536, 0.000, -167.159          ; punkt nr 0
        dd 13.392, -31.857, -154.013          ; punkt nr 1
        dd 10.633, -45.053, -122.275          ; punkt nr 2
        dd 7.873, -31.857, -90.538          ; punkt nr 3
        dd 6.730, 0.000, -77.392          ; punkt nr 4
        dd 7.873, 31.857, -90.538          ; punkt nr 5
        dd 10.633, 45.053, -122.275          ; punkt nr 6
        dd 13.392, 31.857, -154.013          ; punkt nr 7
        dd 77.398, 0.000, -148.872          ; punkt nr 8
        dd 71.311, -31.857, -137.164          ; punkt nr 9
        dd 56.616, -45.053, -108.899          ; punkt nr 10
        dd 41.921, -31.857, -80.633          ; punkt nr 11
        dd 35.834, 0.000, -68.925          ; punkt nr 12
        dd 41.921, 31.857, -80.633          ; punkt nr 13
        dd 56.616, 45.053, -108.899          ; punkt nr 14
        dd 71.311, 31.857, -137.164          ; punkt nr 15
        dd 128.477, 0.000, -107.921          ; punkt nr 16
        dd 118.373, -31.857, -99.434          ; punkt nr 17
        dd 93.980, -45.053, -78.943          ; punkt nr 18
        dd 69.587, -31.857, -58.453          ; punkt nr 19
        dd 59.483, 0.000, -49.965          ; punkt nr 20
        dd 69.587, 31.857, -58.453          ; punkt nr 21
        dd 93.980, 45.053, -78.943          ; punkt nr 22
        dd 118.373, 31.857, -99.434          ; punkt nr 23
        dd 159.997, 0.000, -50.540          ; punkt nr 24
        dd 147.414, -31.857, -46.565          ; punkt nr 25
        dd 117.036, -45.053, -36.969          ; punkt nr 26
        dd 86.659, -31.857, -27.374          ; punkt nr 27
        dd 74.076, 0.000, -23.399          ; punkt nr 28
        dd 86.659, 31.857, -27.374          ; punkt nr 29
        dd 117.036, 45.053, -36.969          ; punkt nr 30
        dd 147.414, 31.857, -46.565          ; punkt nr 31
        dd 167.159, 0.000, 14.536          ; punkt nr 32
        dd 154.013, -31.857, 13.392          ; punkt nr 33
        dd 122.275, -45.053, 10.633          ; punkt nr 34
        dd 90.538, -31.857, 7.873          ; punkt nr 35
        dd 77.392, 0.000, 6.730          ; punkt nr 36
        dd 90.538, 31.857, 7.873          ; punkt nr 37
        dd 122.275, 45.053, 10.633          ; punkt nr 38
        dd 154.013, 31.857, 13.392          ; punkt nr 39
        dd 148.872, 0.000, 77.398          ; punkt nr 40
        dd 137.164, -31.857, 71.311          ; punkt nr 41
        dd 108.899, -45.053, 56.616          ; punkt nr 42
        dd 80.633, -31.857, 41.921          ; punkt nr 43
        dd 68.925, 0.000, 35.834          ; punkt nr 44
        dd 80.633, 31.857, 41.921          ; punkt nr 45
        dd 108.899, 45.053, 56.616          ; punkt nr 46
        dd 137.164, 31.857, 71.311          ; punkt nr 47
        dd 107.921, 0.000, 128.477          ; punkt nr 48
        dd 99.433, -31.857, 118.373          ; punkt nr 49
        dd 78.943, -45.053, 93.980          ; punkt nr 50
        dd 58.453, -31.857, 69.587          ; punkt nr 51
        dd 49.965, 0.000, 59.483          ; punkt nr 52
        dd 58.453, 31.857, 69.587          ; punkt nr 53
        dd 78.943, 45.053, 93.980          ; punkt nr 54
        dd 99.433, 31.857, 118.373          ; punkt nr 55
        dd 50.540, 0.000, 159.997          ; punkt nr 56
        dd 46.565, -31.857, 147.414          ; punkt nr 57
        dd 36.969, -45.053, 117.036          ; punkt nr 58
        dd 27.374, -31.857, 86.659          ; punkt nr 59
        dd 23.399, 0.000, 74.076          ; punkt nr 60
        dd 27.374, 31.857, 86.659          ; punkt nr 61
        dd 36.969, 45.053, 117.036          ; punkt nr 62
        dd 46.565, 31.857, 147.414          ; punkt nr 63
        dd -14.536, 0.000, 167.159          ; punkt nr 64
        dd -13.393, -31.857, 154.013          ; punkt nr 65
        dd -10.633, -45.053, 122.275          ; punkt nr 66
        dd -7.873, -31.857, 90.538          ; punkt nr 67
        dd -6.730, 0.000, 77.392          ; punkt nr 68
        dd -7.873, 31.857, 90.538          ; punkt nr 69
        dd -10.633, 45.053, 122.275          ; punkt nr 70
        dd -13.393, 31.857, 154.013          ; punkt nr 71
        dd -77.398, 0.000, 148.872          ; punkt nr 72
        dd -71.311, -31.857, 137.164          ; punkt nr 73
        dd -56.616, -45.053, 108.899          ; punkt nr 74
        dd -41.921, -31.857, 80.633          ; punkt nr 75
        dd -35.834, 0.000, 68.925          ; punkt nr 76
        dd -41.921, 31.857, 80.633          ; punkt nr 77
        dd -56.616, 45.053, 108.899          ; punkt nr 78
        dd -71.311, 31.857, 137.164          ; punkt nr 79
        dd -128.477, 0.000, 107.921          ; punkt nr 80
        dd -118.373, -31.857, 99.433          ; punkt nr 81
        dd -93.980, -45.053, 78.943          ; punkt nr 82
        dd -69.587, -31.857, 58.453          ; punkt nr 83
        dd -59.483, 0.000, 49.965          ; punkt nr 84
        dd -69.587, 31.857, 58.453          ; punkt nr 85
        dd -93.980, 45.053, 78.943          ; punkt nr 86
        dd -118.373, 31.857, 99.433          ; punkt nr 87
        dd -159.997, 0.000, 50.540          ; punkt nr 88
        dd -147.414, -31.857, 46.565          ; punkt nr 89
        dd -117.036, -45.053, 36.969          ; punkt nr 90
        dd -86.659, -31.857, 27.374          ; punkt nr 91
        dd -74.076, 0.000, 23.399          ; punkt nr 92
        dd -86.659, 31.857, 27.374          ; punkt nr 93
        dd -117.036, 45.053, 36.969          ; punkt nr 94
        dd -147.414, 31.857, 46.565          ; punkt nr 95
        dd -167.159, 0.000, -14.536          ; punkt nr 96
        dd -154.013, -31.857, -13.393          ; punkt nr 97
        dd -122.275, -45.053, -10.633          ; punkt nr 98
        dd -90.538, -31.857, -7.873          ; punkt nr 99
        dd -77.392, 0.000, -6.730          ; punkt nr 100
        dd -90.538, 31.857, -7.873          ; punkt nr 101
        dd -122.275, 45.053, -10.633          ; punkt nr 102
        dd -154.013, 31.857, -13.393          ; punkt nr 103
        dd -148.872, 0.000, -77.398          ; punkt nr 104
        dd -137.164, -31.857, -71.311          ; punkt nr 105
        dd -108.899, -45.053, -56.616          ; punkt nr 106
        dd -80.633, -31.857, -41.921          ; punkt nr 107
        dd -68.925, 0.000, -35.834          ; punkt nr 108
        dd -80.633, 31.857, -41.921          ; punkt nr 109
        dd -108.899, 45.053, -56.616          ; punkt nr 110
        dd -137.164, 31.857, -71.311          ; punkt nr 111
        dd -107.921, 0.000, -128.477          ; punkt nr 112
        dd -99.433, -31.857, -118.373          ; punkt nr 113
        dd -78.943, -45.053, -93.980          ; punkt nr 114
        dd -58.453, -31.857, -69.587          ; punkt nr 115
        dd -49.965, 0.000, -59.483          ; punkt nr 116
        dd -58.453, 31.857, -69.587          ; punkt nr 117
        dd -78.943, 45.053, -93.980          ; punkt nr 118
        dd -99.433, 31.857, -118.373          ; punkt nr 119
        dd -50.540, 0.000, -159.997          ; punkt nr 120
        dd -46.565, -31.857, -147.414          ; punkt nr 121
        dd -36.969, -45.053, -117.036          ; punkt nr 122
        dd -27.374, -31.857, -86.659          ; punkt nr 123
        dd -23.399, 0.000, -74.076          ; punkt nr 124
        dd -27.374, 31.857, -86.659          ; punkt nr 125
        dd -36.969, 45.053, -117.036          ; punkt nr 126
        dd -46.565, 31.857, -147.414          ; punkt nr 127

        ; wspolrzedne (u,v) obiektu nr 0 (!float!)
        dd   146.033, 127.500               ; (u,v) punktu nr 0
        dd   144.575, 168.118               ; (u,v) punktu nr 1
        dd   141.057, 184.943               ; (u,v) punktu nr 2
        dd   137.538, 168.118               ; (u,v) punktu nr 3
        dd   136.080, 127.500               ; (u,v) punktu nr 4
        dd   137.538, 86.882               ; (u,v) punktu nr 5
        dd   141.057, 70.057               ; (u,v) punktu nr 6
        dd   144.575, 86.882               ; (u,v) punktu nr 7
        dd   226.182, 127.500               ; (u,v) punktu nr 8
        dd   218.422, 168.118               ; (u,v) punktu nr 9
        dd   199.685, 184.943               ; (u,v) punktu nr 10
        dd   180.949, 168.118               ; (u,v) punktu nr 11
        dd   173.188, 127.500               ; (u,v) punktu nr 12
        dd   180.949, 86.882               ; (u,v) punktu nr 13
        dd   199.685, 70.057               ; (u,v) punktu nr 14
        dd   218.422, 86.882               ; (u,v) punktu nr 15
        dd   291.309, 127.500               ; (u,v) punktu nr 16
        dd   278.426, 168.118               ; (u,v) punktu nr 17
        dd   247.324, 184.943               ; (u,v) punktu nr 18
        dd   216.223, 168.118               ; (u,v) punktu nr 19
        dd   203.340, 127.500               ; (u,v) punktu nr 20
        dd   216.223, 86.882               ; (u,v) punktu nr 21
        dd   247.324, 70.057               ; (u,v) punktu nr 22
        dd   278.426, 86.882               ; (u,v) punktu nr 23
        dd   331.496, 127.500               ; (u,v) punktu nr 24
        dd   315.453, 168.118               ; (u,v) punktu nr 25
        dd   276.721, 184.943               ; (u,v) punktu nr 26
        dd   237.990, 168.118               ; (u,v) punktu nr 27
        dd   221.947, 127.500               ; (u,v) punktu nr 28
        dd   237.990, 86.882               ; (u,v) punktu nr 29
        dd   276.721, 70.057               ; (u,v) punktu nr 30
        dd   315.453, 86.882               ; (u,v) punktu nr 31
        dd   340.627, 127.500               ; (u,v) punktu nr 32
        dd   323.866, 168.118               ; (u,v) punktu nr 33
        dd   283.401, 184.943               ; (u,v) punktu nr 34
        dd   242.936, 168.118               ; (u,v) punktu nr 35
        dd   226.174, 127.500               ; (u,v) punktu nr 36
        dd   242.936, 86.882               ; (u,v) punktu nr 37
        dd   283.401, 70.057               ; (u,v) punktu nr 38
        dd   323.866, 86.882               ; (u,v) punktu nr 39
        dd   317.312, 127.500               ; (u,v) punktu nr 40
        dd   302.384, 168.118               ; (u,v) punktu nr 41
        dd   266.346, 184.943               ; (u,v) punktu nr 42
        dd   230.307, 168.118               ; (u,v) punktu nr 43
        dd   215.380, 127.500               ; (u,v) punktu nr 44
        dd   230.307, 86.882               ; (u,v) punktu nr 45
        dd   266.346, 70.057               ; (u,v) punktu nr 46
        dd   302.384, 86.882               ; (u,v) punktu nr 47
        dd   265.099, 127.500               ; (u,v) punktu nr 48
        dd   254.278, 168.118               ; (u,v) punktu nr 49
        dd   228.152, 184.943               ; (u,v) punktu nr 50
        dd   202.027, 168.118               ; (u,v) punktu nr 51
        dd   191.206, 127.500               ; (u,v) punktu nr 52
        dd   202.027, 86.882               ; (u,v) punktu nr 53
        dd   228.152, 70.057               ; (u,v) punktu nr 54
        dd   254.278, 86.882               ; (u,v) punktu nr 55
        dd   191.938, 127.500               ; (u,v) punktu nr 56
        dd   186.870, 168.118               ; (u,v) punktu nr 57
        dd   174.636, 184.943               ; (u,v) punktu nr 58
        dd   162.401, 168.118               ; (u,v) punktu nr 59
        dd   157.334, 127.500               ; (u,v) punktu nr 60
        dd   162.401, 86.882               ; (u,v) punktu nr 61
        dd   174.636, 70.057               ; (u,v) punktu nr 62
        dd   186.870, 86.882               ; (u,v) punktu nr 63
        dd   108.967, 127.500               ; (u,v) punktu nr 64
        dd   110.424, 168.118               ; (u,v) punktu nr 65
        dd   113.943, 184.943               ; (u,v) punktu nr 66
        dd   117.462, 168.118               ; (u,v) punktu nr 67
        dd   118.920, 127.500               ; (u,v) punktu nr 68
        dd   117.462, 86.882               ; (u,v) punktu nr 69
        dd   113.943, 70.057               ; (u,v) punktu nr 70
        dd   110.424, 86.882               ; (u,v) punktu nr 71
        dd   28.817, 127.500               ; (u,v) punktu nr 72
        dd   36.578, 168.118               ; (u,v) punktu nr 73
        dd   55.315, 184.943               ; (u,v) punktu nr 74
        dd   74.051, 168.118               ; (u,v) punktu nr 75
        dd   81.812, 127.500               ; (u,v) punktu nr 76
        dd   74.051, 86.882               ; (u,v) punktu nr 77
        dd   55.315, 70.057               ; (u,v) punktu nr 78
        dd   36.578, 86.882               ; (u,v) punktu nr 79
        dd   -36.309, 127.500               ; (u,v) punktu nr 80
        dd   -23.426, 168.118               ; (u,v) punktu nr 81
        dd   7.675, 184.943               ; (u,v) punktu nr 82
        dd   38.777, 168.118               ; (u,v) punktu nr 83
        dd   51.659, 127.500               ; (u,v) punktu nr 84
        dd   38.777, 86.882               ; (u,v) punktu nr 85
        dd   7.675, 70.057               ; (u,v) punktu nr 86
        dd   -23.426, 86.882               ; (u,v) punktu nr 87
        dd   -76.496, 127.500               ; (u,v) punktu nr 88
        dd   -60.453, 168.118               ; (u,v) punktu nr 89
        dd   -21.722, 184.943               ; (u,v) punktu nr 90
        dd   17.010, 168.118               ; (u,v) punktu nr 91
        dd   33.053, 127.500               ; (u,v) punktu nr 92
        dd   17.010, 86.882               ; (u,v) punktu nr 93
        dd   -21.722, 70.057               ; (u,v) punktu nr 94
        dd   -60.453, 86.882               ; (u,v) punktu nr 95
        dd   -85.627, 127.500               ; (u,v) punktu nr 96
        dd   -68.866, 168.118               ; (u,v) punktu nr 97
        dd   -28.401, 184.943               ; (u,v) punktu nr 98
        dd   12.064, 168.118               ; (u,v) punktu nr 99
        dd   28.826, 127.500               ; (u,v) punktu nr 100
        dd   12.064, 86.882               ; (u,v) punktu nr 101
        dd   -28.401, 70.057               ; (u,v) punktu nr 102
        dd   -68.866, 86.882               ; (u,v) punktu nr 103
        dd   -62.312, 127.500               ; (u,v) punktu nr 104
        dd   -47.384, 168.118               ; (u,v) punktu nr 105
        dd   -11.346, 184.943               ; (u,v) punktu nr 106
        dd   24.693, 168.118               ; (u,v) punktu nr 107
        dd   39.621, 127.500               ; (u,v) punktu nr 108
        dd   24.693, 86.882               ; (u,v) punktu nr 109
        dd   -11.346, 70.057               ; (u,v) punktu nr 110
        dd   -47.384, 86.882               ; (u,v) punktu nr 111
        dd   -10.099, 127.500               ; (u,v) punktu nr 112
        dd   0.722, 168.118               ; (u,v) punktu nr 113
        dd   26.848, 184.943               ; (u,v) punktu nr 114
        dd   52.973, 168.118               ; (u,v) punktu nr 115
        dd   63.794, 127.500               ; (u,v) punktu nr 116
        dd   52.973, 86.882               ; (u,v) punktu nr 117
        dd   26.848, 70.057               ; (u,v) punktu nr 118
        dd   0.722, 86.882               ; (u,v) punktu nr 119
        dd   63.062, 127.500               ; (u,v) punktu nr 120
        dd   68.130, 168.118               ; (u,v) punktu nr 121
        dd   80.364, 184.943               ; (u,v) punktu nr 122
        dd   92.599, 168.118               ; (u,v) punktu nr 123
        dd   97.666, 127.500               ; (u,v) punktu nr 124
        dd   92.599, 86.882               ; (u,v) punktu nr 125
        dd   80.364, 70.057               ; (u,v) punktu nr 126
        dd   68.130, 86.882               ; (u,v) punktu nr 127

        ; sciany obiektu nr 0
        dw   0, 9, 1                 ; sciana nr 0
        dw   0, 8, 9                 ; sciana nr 1
        dw   1, 10, 2                 ; sciana nr 2
        dw   1, 9, 10                 ; sciana nr 3
        dw   2, 11, 3                 ; sciana nr 4
        dw   2, 10, 11                 ; sciana nr 5
        dw   3, 12, 4                 ; sciana nr 6
        dw   3, 11, 12                 ; sciana nr 7
        dw   4, 13, 5                 ; sciana nr 8
        dw   4, 12, 13                 ; sciana nr 9
        dw   5, 14, 6                 ; sciana nr 10
        dw   5, 13, 14                 ; sciana nr 11
        dw   6, 15, 7                 ; sciana nr 12
        dw   6, 14, 15                 ; sciana nr 13
        dw   7, 8, 0                 ; sciana nr 14
        dw   7, 15, 8                 ; sciana nr 15
        dw   8, 17, 9                 ; sciana nr 16
        dw   8, 16, 17                 ; sciana nr 17
        dw   9, 18, 10                 ; sciana nr 18
        dw   9, 17, 18                 ; sciana nr 19
        dw   10, 19, 11                 ; sciana nr 20
        dw   10, 18, 19                 ; sciana nr 21
        dw   11, 20, 12                 ; sciana nr 22
        dw   11, 19, 20                 ; sciana nr 23
        dw   12, 21, 13                 ; sciana nr 24
        dw   12, 20, 21                 ; sciana nr 25
        dw   13, 22, 14                 ; sciana nr 26
        dw   13, 21, 22                 ; sciana nr 27
        dw   14, 23, 15                 ; sciana nr 28
        dw   14, 22, 23                 ; sciana nr 29
        dw   15, 16, 8                 ; sciana nr 30
        dw   15, 23, 16                 ; sciana nr 31
        dw   16, 25, 17                 ; sciana nr 32
        dw   16, 24, 25                 ; sciana nr 33
        dw   17, 26, 18                 ; sciana nr 34
        dw   17, 25, 26                 ; sciana nr 35
        dw   18, 27, 19                 ; sciana nr 36
        dw   18, 26, 27                 ; sciana nr 37
        dw   19, 28, 20                 ; sciana nr 38
        dw   19, 27, 28                 ; sciana nr 39
        dw   20, 29, 21                 ; sciana nr 40
        dw   20, 28, 29                 ; sciana nr 41
        dw   21, 30, 22                 ; sciana nr 42
        dw   21, 29, 30                 ; sciana nr 43
        dw   22, 31, 23                 ; sciana nr 44
        dw   22, 30, 31                 ; sciana nr 45
        dw   23, 24, 16                 ; sciana nr 46
        dw   23, 31, 24                 ; sciana nr 47
        dw   24, 33, 25                 ; sciana nr 48
        dw   24, 32, 33                 ; sciana nr 49
        dw   25, 34, 26                 ; sciana nr 50
        dw   25, 33, 34                 ; sciana nr 51
        dw   26, 35, 27                 ; sciana nr 52
        dw   26, 34, 35                 ; sciana nr 53
        dw   27, 36, 28                 ; sciana nr 54
        dw   27, 35, 36                 ; sciana nr 55
        dw   28, 37, 29                 ; sciana nr 56
        dw   28, 36, 37                 ; sciana nr 57
        dw   29, 38, 30                 ; sciana nr 58
        dw   29, 37, 38                 ; sciana nr 59
        dw   30, 39, 31                 ; sciana nr 60
        dw   30, 38, 39                 ; sciana nr 61
        dw   31, 32, 24                 ; sciana nr 62
        dw   31, 39, 32                 ; sciana nr 63
        dw   32, 41, 33                 ; sciana nr 64
        dw   32, 40, 41                 ; sciana nr 65
        dw   33, 42, 34                 ; sciana nr 66
        dw   33, 41, 42                 ; sciana nr 67
        dw   34, 43, 35                 ; sciana nr 68
        dw   34, 42, 43                 ; sciana nr 69
        dw   35, 44, 36                 ; sciana nr 70
        dw   35, 43, 44                 ; sciana nr 71
        dw   36, 45, 37                 ; sciana nr 72
        dw   36, 44, 45                 ; sciana nr 73
        dw   37, 46, 38                 ; sciana nr 74
        dw   37, 45, 46                 ; sciana nr 75
        dw   38, 47, 39                 ; sciana nr 76
        dw   38, 46, 47                 ; sciana nr 77
        dw   39, 40, 32                 ; sciana nr 78
        dw   39, 47, 40                 ; sciana nr 79
        dw   40, 49, 41                 ; sciana nr 80
        dw   40, 48, 49                 ; sciana nr 81
        dw   41, 50, 42                 ; sciana nr 82
        dw   41, 49, 50                 ; sciana nr 83
        dw   42, 51, 43                 ; sciana nr 84
        dw   42, 50, 51                 ; sciana nr 85
        dw   43, 52, 44                 ; sciana nr 86
        dw   43, 51, 52                 ; sciana nr 87
        dw   44, 53, 45                 ; sciana nr 88
        dw   44, 52, 53                 ; sciana nr 89
        dw   45, 54, 46                 ; sciana nr 90
        dw   45, 53, 54                 ; sciana nr 91
        dw   46, 55, 47                 ; sciana nr 92
        dw   46, 54, 55                 ; sciana nr 93
        dw   47, 48, 40                 ; sciana nr 94
        dw   47, 55, 48                 ; sciana nr 95
        dw   48, 57, 49                 ; sciana nr 96
        dw   48, 56, 57                 ; sciana nr 97
        dw   49, 58, 50                 ; sciana nr 98
        dw   49, 57, 58                 ; sciana nr 99
        dw   50, 59, 51                 ; sciana nr 100
        dw   50, 58, 59                 ; sciana nr 101
        dw   51, 60, 52                 ; sciana nr 102
        dw   51, 59, 60                 ; sciana nr 103
        dw   52, 61, 53                 ; sciana nr 104
        dw   52, 60, 61                 ; sciana nr 105
        dw   53, 62, 54                 ; sciana nr 106
        dw   53, 61, 62                 ; sciana nr 107
        dw   54, 63, 55                 ; sciana nr 108
        dw   54, 62, 63                 ; sciana nr 109
        dw   55, 56, 48                 ; sciana nr 110
        dw   55, 63, 56                 ; sciana nr 111
        dw   56, 65, 57                 ; sciana nr 112
        dw   56, 64, 65                 ; sciana nr 113
        dw   57, 66, 58                 ; sciana nr 114
        dw   57, 65, 66                 ; sciana nr 115
        dw   58, 67, 59                 ; sciana nr 116
        dw   58, 66, 67                 ; sciana nr 117
        dw   59, 68, 60                 ; sciana nr 118
        dw   59, 67, 68                 ; sciana nr 119
        dw   60, 69, 61                 ; sciana nr 120
        dw   60, 68, 69                 ; sciana nr 121
        dw   61, 70, 62                 ; sciana nr 122
        dw   61, 69, 70                 ; sciana nr 123
        dw   62, 71, 63                 ; sciana nr 124
        dw   62, 70, 71                 ; sciana nr 125
        dw   63, 64, 56                 ; sciana nr 126
        dw   63, 71, 64                 ; sciana nr 127
        dw   64, 73, 65                 ; sciana nr 128
        dw   64, 72, 73                 ; sciana nr 129
        dw   65, 74, 66                 ; sciana nr 130
        dw   65, 73, 74                 ; sciana nr 131
        dw   66, 75, 67                 ; sciana nr 132
        dw   66, 74, 75                 ; sciana nr 133
        dw   67, 76, 68                 ; sciana nr 134
        dw   67, 75, 76                 ; sciana nr 135
        dw   68, 77, 69                 ; sciana nr 136
        dw   68, 76, 77                 ; sciana nr 137
        dw   69, 78, 70                 ; sciana nr 138
        dw   69, 77, 78                 ; sciana nr 139
        dw   70, 79, 71                 ; sciana nr 140
        dw   70, 78, 79                 ; sciana nr 141
        dw   71, 72, 64                 ; sciana nr 142
        dw   71, 79, 72                 ; sciana nr 143
        dw   72, 81, 73                 ; sciana nr 144
        dw   72, 80, 81                 ; sciana nr 145
        dw   73, 82, 74                 ; sciana nr 146
        dw   73, 81, 82                 ; sciana nr 147
        dw   74, 83, 75                 ; sciana nr 148
        dw   74, 82, 83                 ; sciana nr 149
        dw   75, 84, 76                 ; sciana nr 150
        dw   75, 83, 84                 ; sciana nr 151
        dw   76, 85, 77                 ; sciana nr 152
        dw   76, 84, 85                 ; sciana nr 153
        dw   77, 86, 78                 ; sciana nr 154
        dw   77, 85, 86                 ; sciana nr 155
        dw   78, 87, 79                 ; sciana nr 156
        dw   78, 86, 87                 ; sciana nr 157
        dw   79, 80, 72                 ; sciana nr 158
        dw   79, 87, 80                 ; sciana nr 159
        dw   80, 89, 81                 ; sciana nr 160
        dw   80, 88, 89                 ; sciana nr 161
        dw   81, 90, 82                 ; sciana nr 162
        dw   81, 89, 90                 ; sciana nr 163
        dw   82, 91, 83                 ; sciana nr 164
        dw   82, 90, 91                 ; sciana nr 165
        dw   83, 92, 84                 ; sciana nr 166
        dw   83, 91, 92                 ; sciana nr 167
        dw   84, 93, 85                 ; sciana nr 168
        dw   84, 92, 93                 ; sciana nr 169
        dw   85, 94, 86                 ; sciana nr 170
        dw   85, 93, 94                 ; sciana nr 171
        dw   86, 95, 87                 ; sciana nr 172
        dw   86, 94, 95                 ; sciana nr 173
        dw   87, 88, 80                 ; sciana nr 174
        dw   87, 95, 88                 ; sciana nr 175
        dw   88, 97, 89                 ; sciana nr 176
        dw   88, 96, 97                 ; sciana nr 177
        dw   89, 98, 90                 ; sciana nr 178
        dw   89, 97, 98                 ; sciana nr 179
        dw   90, 99, 91                 ; sciana nr 180
        dw   90, 98, 99                 ; sciana nr 181
        dw   91, 100, 92                 ; sciana nr 182
        dw   91, 99, 100                 ; sciana nr 183
        dw   92, 101, 93                 ; sciana nr 184
        dw   92, 100, 101                 ; sciana nr 185
        dw   93, 102, 94                 ; sciana nr 186
        dw   93, 101, 102                 ; sciana nr 187
        dw   94, 103, 95                 ; sciana nr 188
        dw   94, 102, 103                 ; sciana nr 189
        dw   95, 96, 88                 ; sciana nr 190
        dw   95, 103, 96                 ; sciana nr 191
        dw   96, 105, 97                 ; sciana nr 192
        dw   96, 104, 105                 ; sciana nr 193
        dw   97, 106, 98                 ; sciana nr 194
        dw   97, 105, 106                 ; sciana nr 195
        dw   98, 107, 99                 ; sciana nr 196
        dw   98, 106, 107                 ; sciana nr 197
        dw   99, 108, 100                 ; sciana nr 198
        dw   99, 107, 108                 ; sciana nr 199
        dw   100, 109, 101                 ; sciana nr 200
        dw   100, 108, 109                 ; sciana nr 201
        dw   101, 110, 102                 ; sciana nr 202
        dw   101, 109, 110                 ; sciana nr 203
        dw   102, 111, 103                 ; sciana nr 204
        dw   102, 110, 111                 ; sciana nr 205
        dw   103, 104, 96                 ; sciana nr 206
        dw   103, 111, 104                 ; sciana nr 207
        dw   104, 113, 105                 ; sciana nr 208
        dw   104, 112, 113                 ; sciana nr 209
        dw   105, 114, 106                 ; sciana nr 210
        dw   105, 113, 114                 ; sciana nr 211
        dw   106, 115, 107                 ; sciana nr 212
        dw   106, 114, 115                 ; sciana nr 213
        dw   107, 116, 108                 ; sciana nr 214
        dw   107, 115, 116                 ; sciana nr 215
        dw   108, 117, 109                 ; sciana nr 216
        dw   108, 116, 117                 ; sciana nr 217
        dw   109, 118, 110                 ; sciana nr 218
        dw   109, 117, 118                 ; sciana nr 219
        dw   110, 119, 111                 ; sciana nr 220
        dw   110, 118, 119                 ; sciana nr 221
        dw   111, 112, 104                 ; sciana nr 222
        dw   111, 119, 112                 ; sciana nr 223
        dw   112, 121, 113                 ; sciana nr 224
        dw   112, 120, 121                 ; sciana nr 225
        dw   113, 122, 114                 ; sciana nr 226
        dw   113, 121, 122                 ; sciana nr 227
        dw   114, 123, 115                 ; sciana nr 228
        dw   114, 122, 123                 ; sciana nr 229
        dw   115, 124, 116                 ; sciana nr 230
        dw   115, 123, 124                 ; sciana nr 231
        dw   116, 125, 117                 ; sciana nr 232
        dw   116, 124, 125                 ; sciana nr 233
        dw   117, 126, 118                 ; sciana nr 234
        dw   117, 125, 126                 ; sciana nr 235
        dw   118, 127, 119                 ; sciana nr 236
        dw   118, 126, 127                 ; sciana nr 237
        dw   119, 120, 112                 ; sciana nr 238
        dw   119, 127, 120                 ; sciana nr 239
        dw   120, 1, 121                 ; sciana nr 240
        dw   120, 0, 1                 ; sciana nr 241
        dw   121, 2, 122                 ; sciana nr 242
        dw   121, 1, 2                 ; sciana nr 243
        dw   122, 3, 123                 ; sciana nr 244
        dw   122, 2, 3                 ; sciana nr 245
        dw   123, 4, 124                 ; sciana nr 246
        dw   123, 3, 4                 ; sciana nr 247
        dw   124, 5, 125                 ; sciana nr 248
        dw   124, 4, 5                 ; sciana nr 249
        dw   125, 6, 126                 ; sciana nr 250
        dw   125, 5, 6                 ; sciana nr 251
        dw   126, 7, 127                 ; sciana nr 252
        dw   126, 6, 7                 ; sciana nr 253
        dw   127, 0, 120                 ; sciana nr 254
        dw   127, 7, 0                 ; sciana nr 255

; ***************************************************************************
; no i koniec opisu scenki
; ***************************************************************************

; ***************************************************************************
; tego nie zmieniac !!!
; ***************************************************************************
_WorldData5_size dd WORLD5_OBJS     * 116 +   \; struktura object
                    WORLD5_VERTICES * 76  +   \; wszelkie inne dane o punktach
                    WORLD5_FACES    * 23       ; struktura triangle

Lights_scene5:
; ***************************************************************************
; teraz opisy poszczegolnych swiatelek
; ***************************************************************************
       ; opis swiatelka nr 0
       dd 108.724, 0.000, 56.409          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 1
       dd 121.917, 0.000, 10.008          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 2
       dd 117.367, 0.000, -36.848          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 3
       dd 94.622, 0.000, -79.155          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 4
       dd 56.409, 0.000, -108.724          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 5
       dd 10.918, 0.000, -122.372          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 6
       dd -36.393, 0.000, -116.913          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 7
       dd -79.155, 0.000, -94.622          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 8
       dd -108.724, 0.000, -56.409          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 9
       dd -122.372, 0.000, -10.463          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 10
       dd -116.458, 0.000, 36.393          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 11
       dd -93.712, 0.000, 79.155          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 12
       dd -55.954, 0.000, 108.724          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 13
       dd -10.008, 0.000, 121.917          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 14
       dd 36.848, 0.000, 116.458          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 15
       dd 79.155, 0.000, 93.712          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 16
       dd 95.077, 0.000, 74.151          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 17
       dd 115.548, 0.000, 31.844          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 18
       dd 105.085, 0.000, -59.139          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 19
       dd 75.516, 0.000, -94.167          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 20
       dd 34.573, 0.000, -115.548          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 21
       dd -11.373, 0.000, -119.642          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 22
       dd -56.409, 0.000, -105.995          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 23
       dd -93.712, 0.000, -75.061          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 24
       dd -115.548, 0.000, -32.299          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 25
       dd -119.642, 0.000, 11.828          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 26
       dd -105.995, 0.000, 58.229          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 27
       dd -74.151, 0.000, 95.077          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 28
       dd -32.754, 0.000, 116.003          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 29
       dd 12.738, 0.000, 119.642          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 30
       dd 58.229, 0.000, 105.540          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 31
       dd 119.642, 0.000, -13.192          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 32
       dd -83.704, 0.000, 87.343          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 33
       dd -63.688, 0.000, 102.810          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 34
       dd -42.307, 0.000, 112.818          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 35
       dd -21.381, 0.000, 119.187          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 36
       dd 2.729, 0.000, 121.007          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 37
       dd 24.565, 0.000, 118.277          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 38
       dd 47.311, 0.000, 111.454          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 39
       dd 68.692, 0.000, 99.626          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 40
       dd 88.253, 0.000, 82.794          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 41
       dd 102.355, 0.000, 64.598          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 42
       dd 112.363, 0.000, 43.672          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 43
       dd 119.642, 0.000, 20.016          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 44
       dd 121.007, 0.000, -0.910          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 45
       dd 118.277, 0.000, -25.475          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 46
       dd 110.999, 0.000, -47.766          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 47
       dd 99.626, 0.000, -69.602          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 48
       dd 84.159, 0.000, -86.888          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 49
       dd 64.143, 0.000, -101.900          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 50
       dd 45.491, 0.000, -111.909          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 51
       dd 20.926, 0.000, -119.187          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 52
       dd -0.910, 0.000, -121.007          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 53
       dd -23.201, 0.000, -118.277          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 54
       dd -100.081, 0.000, 67.782          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 55
       dd -111.454, 0.000, 46.856          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 56
       dd -118.277, 0.000, 25.475          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 57
       dd -121.007, 0.000, 0.000          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 58
       dd -118.732, 0.000, -22.746          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 59
       dd -111.909, 0.000, -45.946          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 60
       dd -101.446, 0.000, -66.417          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 61
       dd -87.798, 0.000, -84.159          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 62
       dd -67.327, 0.000, -100.536          ; pozycja swiatla (!float!)

       ; opis swiatelka nr 63
       dd -45.946, 0.000, -111.454          ; pozycja swiatla (!float!)

Code32  EndS
end
