;Ŀ
;  Motzel's Protected Mode DOS-extender                                     
;                                                                           
;  Extender main header                                                     
;                                                                           
;  Author       : Bogdan Modzelewski a.k.a Motzel of Cryogen^Suspend        
;  File created : 19.12.98                                                  
;                                                                           
;

;Ŀ
; Extender functions and variables                                          
;
global  Start32:near, mpdExit32:near, mpdWrite32:near
global  Code32Addr:dword, _a0000h:dword, _b0000h:dword, _b8000h:dword
global  PspAddr:dword, EnvAddr:dword, _mpdSystem:byte
global  rm_regs:_struct_rm_regs, _mpdIRQbase:word
global  Code32Sel:word, Data32Sel:word, Flat32Sel:word

;Ŀ
; Constants declarations                                                    
;
 RAW     equ 0
 XMS     equ 1
 DPMI    equ 2
 VCPI    equ 3

 b       equ byte ptr
 w       equ word ptr
 d       equ dword ptr
 f       equ fword ptr
 o       equ offset

;Ŀ
; Structures declarations                                                   
;
_struct_segment_descriptor Struc
  seg_length0_15        dw      ?       ; dolne slowo dlugosci segmentu
  base_addr0_15         dw      ?       ; dolne slowo adresu bazowego
  base_addr16_23        db      ?       ; dolny bajt gornego slowa adresu baz.
  flags                 db      ?       ; flagi (m.in. typ segmentu)
  access                db      ?       ; 4 gorne bity dlugosci segmentu i
                                        ; flagi dostepu
  base_addr24_31        db      ?       ; gorny bajt adresu bazowego
EndS

_struct_interrupt_descriptor Struc
  offset0_15            dw      ?       ; dolne slowo offsetu handlera
  selector0_15          dw      ?       ; selektor segmentu
  zero_byte             db      0       ; nieuzywane w deskryptorze przerwania
  flags                 db      ?       ; flagi
  offset16_31           dw      ?       ; gorne slowo offsetu handlera
EndS

_struct_rm_regs Struc
  rm_EDI        dd ?
  rm_ESI        dd ?
  rm_EBP        dd ?
  rm_reserved   dd ?
  rm_EBX        dd ?
  rm_EDX        dd ?
  rm_ECX        dd ?
  rm_EAX        dd ?
  rm_flags      dw ?
  rm_ES         dw ?
  rm_DS         dw ?
  rm_FS         dw ?
  rm_GS         dw ?
  rm_IP         dw ?
  rm_CS         dw ?
  rm_SP         dw ?
  rm_SS         dw ?
  rm_filler     dd 20 dup(?)
EndS

;Ŀ
; Usefull macros                                                            
;
LittleDelay     Macro
        jmp     short $+2

EndM

Init_ES_DI      Macro adres
        mov     edi, o adres
        add     edi, [Code32Addr]
        shr     edi, 4
        mov     [rm_regs.rm_ES], di
        mov     edi, o adres
        and     edi, 0fh
        mov     [rm_regs.rm_EDI], edi
EndM

Init_DS_DX      Macro adres
        mov     edx, o adres
        add     edx, [Code32Addr]
        shr     edx, 4
        mov     [rm_regs.rm_DS], dx
        mov     edx, o adres
        and     edx, 0fh
        mov     [rm_regs.rm_EDX], edx
EndM

SetTimer        Macro czestotliwosc
        mov     al, 36h
        out     43h, al
        mov     al, (1234ddh / czestotliwosc) and 0ffh
        out     40h, al
        mov     al,  ((1234ddh / czestotliwosc) and 0ff00h ) shr 8
        out     40h, al
EndM

SetTimerDefault Macro
        mov     al, 36h
        out     43h, al
        xor     al, al
        out     040h, al
        out     040h, al
EndM
