comment |
;*****************************************************************************
; Bumpmapper
; Zalozenia :
;   w ESI jest adres bumpmapy
;   adres obrazka zawiera zmienna picture_address
;   w zmiennych lx i ly znajduje sie polozenie zrodla swiatla
;*****************************************************************************
Do_bump Proc
        mov     eax,bump_przes
        shl     eax,2
        mov     d [_Przes_of_bump_],eax
        mov     d [_Przes_of_bump2_],eax
        mov     edi,_mdeVirtualScreen
        add     lx, 128                         ; poprawienie zrodla swiatla
        add     ly, 128                         ; do srodka phongmapy
        add     edi,321*4 ;321*4                      ; bez pierwszej i
        add     esi, 641                        ; ostatniej linii
        mov     ecx, 1                          ; 198 linii od 1
petla_y:
        mov     ebp, 1                          ; 318 punktow w lini od 1
        sub     cx, ly                          ; cx = (y - ly)
petla_x:
        mov     eax,envmap8 ;o phongmap                 ; adres phongmapy
        movzx   bx, b [esi+1]
        movzx   dx, b [esi-1]
        sub     bx, dx                          ; nx = *(temp+1) - *(temp-1)

        sub     bx, bp
        add     bx, lx                          ; nx -= ( x - lx )

        mov     dx, bx                          ; sprawdz, czy nx miesci sie
        and     dx, 0ff00h                      ; w zakresie 0 - 255, jesli
        jnz     na_zew                          ; nie to skocz to et. na_zew

        and     ebx, 0000ffffh                  ;
        add     eax, ebx                        ; dodaj do adresu phongmapy

        movzx   bx, b [esi+640]
        movzx   dx, b [esi-640]
        sub     bx, dx                          ; ny = *(temp+1) - *(temp-1)
        sub     bx, cx                          ; ny -= ( y - ly )

        mov     dx, bx                          ; sprawdz, czy ny miesci sie
        and     dx, 0ff00h                      ; w zakresie 0 - 255, jesli
        jnz     na_zew                          ; nie to skocz to et. na_zew

        and     ebx, 0000ffffh
        sal     bx, 8                           ; ny <<= 8
        add     eax, ebx                        ; oblicz adres w phongmapie
        mov     al, [eax]                       ; pobierz poziom jasnosci

        mov     edx,monique_pic  ;o obrazek32bit
        add     edx,12345678h    ;bump_przes   ;640*60*4+160*4
        _Przes_of_bump_=$-4
        mov     ebx, ecx
        add     bx, ly                          ; od cx bylo odejmowane ly
        sal     ebx, 11
        add     edx, ebx

        shr     ebx, 2
        add     edx, ebx
        mov     ebx, ebp
        shl     ebx, 2
        add     edx, ebx

        xor     ebx, ebx
        mov     bl, al
        cmp bl,0
        jne  noinclb
        mov  bl,1
noinclb:

        mov     bh, [edx+2]
        neg     bl

        push    edi
        mov     edi,bump_shade_tbl
        mov     al, [ebx + edi]
        shl     eax, 16

        mov     bh, [edx+1]
        mov     ah, [ebx + edi]

        mov     bh, [edx]
        mov     al, [ebx + edi]

        pop     edi

        stosd                                   ; postaw pixel
        jmp     b_dal

na_zew:

;        xor     eax, eax                        ; postaw czarny pixel, u lub v
        mov     edx,monique_pic  ;o obrazek32bit
        add     edx,12345678h    ;bump_przes   ;640*60*4+160*4
        _Przes_of_bump2_=$-4
        mov     ebx, ecx
        add     bx, ly                          ; od cx bylo odejmowane ly
        sal     ebx, 11
        add     edx, ebx

        shr     ebx, 2
        add     edx, ebx
        mov     ebx, ebp
        shl     ebx, 2
        add     edx, ebx

        mov    eax,[edx]

        stosd                                   ; nie bylo w zakresie 0 - 255

b_dal:
        inc     esi                             ; nastepny punkt bumpmapy

        inc     ebp
        cmp     ebp, 319                        ; tylko 318 punktow ( od 1 )
        jl      petla_x                         ; czy juz koniec petli x ?

        add     esi, 2                          ; bez pierwszego i
        add     edi, 8                          ; ostatniego punktu w linii
        add     esi,320
        add     cx, ly                          ; od cx bylo odejmowane ly

        inc     ecx
        cmp     ecx, 199                        ; tylko 198 linii ( od 1 )
        jl      petla_y                         ; czy juz koniec petli y ?
        ret
lx      dw 0
ly      dw 0

Do_bump EndP
|
;*****************************************************************************
; Bumpmapper
; Zalozenia :
;   w ESI jest adres bumpmapy
;   adres obrazka zawiera zmienna picture_address
;   w zmiennych lx i ly znajduje sie polozenie zrodla swiatla
;*****************************************************************************
Do_bump Proc
        mov     eax,bump_przes
        shl     eax,2
        mov     d [_Przes_of_bump_],eax
        mov     edi,_mdeVirtualScreen
        add     lx, 128                         ; poprawienie zrodla swiatla
        add     ly, 128                         ; do srodka phongmapy
        add     edi,321*4 ;321*4                      ; bez pierwszej i
        add     esi, 641                        ; ostatniej linii
        mov     ecx, 1                          ; 198 linii od 1
petla_y:
        mov     ebp, 1                          ; 318 punktow w lini od 1
        sub     cx, ly                          ; cx = (y - ly)
petla_x:
        mov     eax,envmap8 ;o phongmap                 ; adres phongmapy
        movzx   bx, b [esi+1]
        movzx   dx, b [esi-1]
        sub     bx, dx                          ; nx = *(temp+1) - *(temp-1)

        sub     bx, bp
        add     bx, lx                          ; nx -= ( x - lx )

        mov     dx, bx                          ; sprawdz, czy nx miesci sie
        and     dx, 0ff00h                      ; w zakresie 0 - 255, jesli
        jnz     na_zew                          ; nie to skocz to et. na_zew

        and     ebx, 0000ffffh                  ;
        add     eax, ebx                        ; dodaj do adresu phongmapy

        movzx   bx, b [esi+640]
        movzx   dx, b [esi-640]
        sub     bx, dx                          ; ny = *(temp+1) - *(temp-1)
        sub     bx, cx                          ; ny -= ( y - ly )

        mov     dx, bx                          ; sprawdz, czy ny miesci sie
        and     dx, 0ff00h                      ; w zakresie 0 - 255, jesli
        jnz     na_zew                          ; nie to skocz to et. na_zew

        and     ebx, 0000ffffh
        sal     bx, 8                           ; ny <<= 8
        add     eax, ebx                        ; oblicz adres w phongmapie
        mov     al, [eax]                       ; pobierz poziom jasnosci

        mov     edx,monique_pic  ;o obrazek32bit
        add     edx,12345678h    ;bump_przes   ;640*60*4+160*4
        _Przes_of_bump_=$-4
        mov     ebx, ecx
        add     bx, ly                          ; od cx bylo odejmowane ly
        sal     ebx, 11
        add     edx, ebx

        shr     ebx, 2
        add     edx, ebx
        mov     ebx, ebp
        shl     ebx, 2
        add     edx, ebx

        xor     ebx, ebx
        mov     bl, al
        mov     bh, [edx+2]

        push    edi
        mov     edi,bump_shade_tbl
        mov     al, [ebx + edi]
        shl     eax, 16

        mov     bh, [edx+1]
        mov     ah, [ebx + edi]

        mov     bh, [edx]
        mov     al, [ebx + edi]

        pop     edi

        stosd                                   ; postaw pixel
        jmp     b_dal

na_zew:
        xor     eax, eax                        ; postaw czarny pixel, u lub v
        stosd                                   ; nie bylo w zakresie 0 - 255

b_dal:
        inc     esi                             ; nastepny punkt bumpmapy

        inc     ebp
        cmp     ebp, 319                        ; tylko 318 punktow ( od 1 )
        jl      petla_x                         ; czy juz koniec petli x ?

        add     esi, 2                          ; bez pierwszego i
        add     edi, 8                          ; ostatniego punktu w linii
        add     esi,320
        add     cx, ly                          ; od cx bylo odejmowane ly

        inc     ecx
        cmp     ecx, 199                        ; tylko 198 linii ( od 1 )
        jl      petla_y                         ; czy juz koniec petli y ?
        ret
lx      dw 0
ly      dw 0

Do_bump EndP


;*****************************************************************************
; Zmiana pozycji swiatla na podstawie wzorow : ( wykorzystuje koprocesor )
;  lx = cos(fps/15)*96+160
;  ly = sin(fps/25)*66+100
;*****************************************************************************
bmp_temp3   dd 0
zmien_parametry Proc
        finit
        fld     bmp_temp
        mov     bmp_temp, 2
        fiadd   bmp_temp
        fst     bmp_temp
        mov     bmp_temp3, 15*2
        fidiv   bmp_temp3
        fcos
        mov     bmp_temp3,76 ;96
        fimul   bmp_temp3
        frndint
        fistp   word ptr lx
        add     lx, 160 +10

        fld     bmp_temp
        mov     bmp_temp3, 25*2
        fidiv   bmp_temp3
        fsin
        mov     bmp_temp3, 66
        fimul   bmp_temp3
        frndint
        fistp   word ptr ly
        add     ly, 100

        ret
zmien_parametry EndP

;*****************************************************************************
; Calculate phongmap
; Zalozenia :
;   w EDI jest adres bufora phongmapy
;*****************************************************************************
PHONG_PAR1 EQu 230
PHONG_PAR2 EQU 128 ;128

nx      dq 0
ny      dq 0
nz      dq 0
bmp_temp    dd 0
bmp_temp2   dq 0
Calculate_phongmap      Proc
        finit
        mov     ebp, 256                ; zmienna y
petl_y:
        mov     ecx, 256                ; zmienna x
petl_x:
        mov     bmp_temp, 128
        sub     bmp_temp, ecx               ; x - 128
        fild    bmp_temp
        mov     bmp_temp, 128
        fidiv   bmp_temp
        fst     nx                      ; (x - 128) / 128
        fmul    nx
        fstp    nx                      ; nx = nx * nx

        mov     bmp_temp, 128
        sub     bmp_temp, ebp               ; y - 128
        fild    bmp_temp
        mov     bmp_temp, 128
        fidiv   bmp_temp
        fst     ny                      ; (y - 128) / 128
        fmul    ny
        fst     ny                      ; ny = ny * ny
        fadd    nx                      ; st(0) = (nx * nx) + (ny * ny)
        fsqrt                           ; st(0) = sqrt( st(0) )
        fstp    nz
        fld1
        fsub    nz                      ; st(0) = 1 - sqrt( st(0) )
        fst     bmp_temp2                   ; zapamietanie
        mov     bmp_temp, 65536             ;\
        fimul   bmp_temp                    ; pomnozenie nz przez 65536
        frndint                         ; i zaokraglenie do liczby calkowitej
        fistp   bmp_temp                    ; potrzebne do porownania, czy nz<0
        fld     bmp_temp2                   ; bo nie dziala ftst
        cmp     bmp_temp, 0                 ; bmp_temp2 zapamietuje poprzednia wartosc
        jnl     ok_nz                   ;/
        fldz                            ; jesli nz < 0 to nz = 0
        ffree   st(1)                   ; rejestr st(1) jest juz niepotrzebny
ok_nz:
        fst     nz                      ; nz = 1 - sqrt( nx * nx + ny * ny)

        mov     bmp_temp, PHONG_PAR1
        fimul   bmp_temp                    ; st(0) = nz * 191
        fld     nz
        fmul    nz
        mov     bmp_temp, PHONG_PAR2
        fimul   bmp_temp                    ; st(0) = nz * nz * 128
        fadd                            ; st(0) = nz * nz * 128 + nz * 191
        frndint
        fistp   bmp_temp
        mov     eax, bmp_temp

        cmp     eax, 255                ; jesli kolor > 255 to kolor = 255
        jle     ok_col                  ;
        mov     al, 255                 ;
ok_col:
        stosb                           ; wpisz punkt do phongmapy
        dec     ecx
        jnz     petl_x

        dec     ebp
        jnz     petl_y
        ret
Calculate_phongmap      EndP

comment #
calc_shade_tbl  Proc
        mov     ebp, 256
cst_pety:
        xor     ecx, ecx
cst_petx:
        mov     eax, 256
        sub     eax, ebp
        shl     eax,8

        cmp     ecx,0
        jne     jestd
        mov     eax,0

        jmp     nod
jestd:
        xor     edx,edx
        div     ecx
nod:
        cmp     eax,255
        jbe     nocut
        mov     eax,255
nocut:

        stosb

        inc     ecx
        cmp     ecx, 256
        jl      cst_petx

        dec     ebp
        jnz     cst_pety

        ret
calc_shade_tbl  EndP

#



calc_shade_tbl  Proc
        mov     ebp, 256
cst_pety:
        xor     ecx, ecx
cst_petx:
        mov     eax, 256
        sub     eax, ebp
        mul     ecx
        shr     eax, 8

        stosb

        inc     ecx
        cmp     ecx, 256
        jl      cst_petx

        dec     ebp
        jnz     cst_pety

        ret
calc_shade_tbl  EndP


